/*
 * Copyright (C) 2013
 * 
 * Stefan Fafianie
 *
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * This package makes use of a selection of classes from the libtw library 
 * which is also published under the GNU Lesser General Public license.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this package; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

package steiner;

import libtw.input.GraphInput.InputData;
import libtw.ngraph.NEdge;
import libtw.ngraph.NTDBag;
import libtw.ngraph.NVertex;

//Extension on NTDBag which includes bag types used in nice tree decompositions.
public class NTDNiceBag<D extends InputData> extends NTDBag<D> {

	public enum NiceBagType{
		LEAF_BAG,
		INTRODUCE_VERTEX_BAG,
		FORGET_VERTEX_BAG,
		INTRODUCE_EDGE_BAG,
		JOIN_BAG	
	}
	
	public NTDNiceBag(){
		super();
	}
	
	public NiceBagType type;
	public NVertex<D> vertex;
	public NEdge<D> edge;
	
}
